Try our new Setup Skill to automatically integrate Hyperspell into your project
curl --request POST \
--url https://api.hyperspell.com/actions/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message_id": "<string>",
"provider": "gmail_actions",
"connection": "<string>"
}
'{
"success": true,
"error": "<string>",
"provider_response": {}
}Archive a Gmail message by removing the INBOX label.
curl --request POST \
--url https://api.hyperspell.com/actions/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message_id": "<string>",
"provider": "gmail_actions",
"connection": "<string>"
}
'{
"success": true,
"error": "<string>",
"provider_response": {}
}API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Archive a Gmail message.
Gmail message ID to archive
Integration provider
reddit, notion, slack, google_calendar, google_mail, box, dropbox, google_drive, github, vault, web_crawler, trace, microsoft_teams, gmail_actions Connection ID. If omitted, auto-resolved from provider + user.
Was this page helpful?